Нужен libcups.so.2 линуксовый

Проблемы установки, настройки и работы Правильной Операционной Системы

Модератор: terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-05 18:53:31

Народ! У кого под рукой линух есть? Киньте libcups.so.2 Он вроде в /libs валяется.
Запарился я у себя rpm устанавливать. А KArk нафих посылает. :(
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2460 рублей (8 CPU, 8Gb RAM, 2x500Gb HDD, RAID 3ware 9750):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-05 21:45:24

Так, ладно ... пришлось поставить FC6.
Вопрос второй: теперь требует libc.so.6 говорит нужен версии GLIBC_2.4 У меня этих libc четыре штуки 2 из фряхи и 2 из федоры. Ни один не пашет. Мля! Прога ищет его в /lib/obsolete/linuxthreads/libc.so.6 . Такого пути ни FreeBSD ни FC6 не создаёт и ими там не пахнет. Следуя непонятным движениям мозговых клеток нашёл linuxthreads в портах. Проблема в том, что на фряхе мне их собирать нельзя. Опять на OS/ABI заорёт. Нужен линуксовый. Подскажите где его в линухе найти. Там эти yum'ы, rpm'ы. Линуксоиды! Хоть пните в нужную сторону!
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-05 21:48:39

создай самлинк для libc.so.6 от libc.so.4 лежит это добро в /usr/local/lib/compat/

непонятна в чем проблема, воспользуйся командой locate дял поиска нужных либ
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-06 11:41:31

В /usr/local/lib/compat лежит только libc.so.5 попробовал - на пашет.
Нашёл glibc-2.4.i386.rpm там есть libc-2.4.so Как мне его из rpm достать, не устанавливая весь пакет?
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-06 11:57:25

Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-06 15:55:29

Всё! Упёрся в то, что прога в упор не видит библиотеку.
Пошёл другим путём: начал скармливать BSD библиотеки brandelf'у. Всё шло замечательно до libiconv.so.3 тут прога сказала undefined symbol __mb_cur_max. Тупик, блин! Стоит ли обновить порты? Или это не поможет?

P.S.: compat5x установлен версии 5.4.0.8_7.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-06 15:56:36

а чё мучаешь-то?
в портах нету?
Убей их всех! Бог потом рассортирует...

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-06 16:17:29

Мучаю дрова печати на MFP знаменитого Samsung'a (мать его! трижды!) прога зовётся rastertosamsungspl. Порта для FreeBSD не нашёл. Только официальные под Линух.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-06 16:18:21

portsnap fetch update && portupgrade -f converters/libiconv или удали и потом добавь через pkg_add
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Adekamer
пингвин
Сообщения: 694
Зарегистрирован: 2007-10-09 18:36:48
Откуда: 127.0.0.1
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Adekamer » 2008-02-06 16:19:32

ну вот вам и ответ про будущее всд

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-06 16:21:06

Adekamer писал(а):ну вот вам и ответ про будущее всд
может это будущее самсунга? =)))
Убей их всех! Бог потом рассортирует...

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-06 16:26:27

человек на букву "A", Вы замучали со своим холиваром....
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-06 16:27:47

zingel писал(а):человек на букву "A", Вы замучали со своим холиваром....
да ладно тебе.
У нас тут мало линуксоидов - ненадо их разгонять =)
Их надо ценить, и жалеть =)
Убей их всех! Бог потом рассортирует...

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-06 16:28:59

да я не к тому, просто он меня с мысли совсем сбил (+ядро не собирается, собака,) вот я и злюсь.

А так, согласен, пусть лучше так, чем маздятник какой....
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35071
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение Alex Keda » 2008-02-06 16:29:58

zingel писал(а):да я не к тому, просто он меня с мысли совсем сбил (+ядро не собирается, собака,) вот я и злюсь.

А так, согласен, пусть лучше так, чем маздятник какой....
их тут тоже мало =)
====
тут вообще мало народу и все адекватные и свои.
так что не надо никого разгонять.
Убей их всех! Бог потом рассортирует...

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-06 16:34:42

упаси баалсенот, кого-то разгонять, и не думал даже...
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-06 17:13:50

Adekamer писал(а):ну вот вам и ответ про будущее всд
Это не ответ, а лишнее подтверждение моим словам: кто отбашлял - тому и сделали поддержку. Samsung корпорация большая. Плевала она что-то бесплатно делать. И рекламировать себя им уже не надо. Вот как винда начнёт потихоньку сдавать - там посмотрим скока они дров на свою технику наделают.
Есть ещё вариант: закупка большого количества оргтехники какой-нибудь организацией у официального дилера. Если они в договор пропишут поддержку UNIX систем, глядишь и дрова появятся.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-06 18:30:29

Заапдейтил -- таже хрень. Видимо устарел этот __mb_cur_max.
Ладненько... Будем дальше думать.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-07 9:52:43

Странно, но grep находит этот __mb_cur_max в libiconv.so.2 %(
Ничего не понимаю....
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-07 10:00:12

попробуй сделать ldd
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-07 10:27:48

Вывод ldd:

Код: Выделить всё

/usr/local/libexec/cups/filter/rastertosamsungspl:
	libcups.so.2 => /lib/libcups.so.2 (0x2806e000)
	libcupsimage.so.2 => /lib/libcupsimage.so.2 (0x2809a000)
	libc.so.6 => /lib/obsolete/linuxthreads/libc.so.6 (0x280af000)
	libgnutls.so.13 => /usr/local/lib/libgnutls.so.13 (0x281ce000)
	libgcrypt.so.13 => /usr/local/lib/libgcrypt.so.13 (0x2823d000)
	libgpg-error.so.3 => /usr/local/lib/libgpg-error.so.3 (0x28288000)
	libpthread.so.2 => /lib/libpthread.so.2 (0x2828c000)
	libm.so.4 => /lib/libm.so.4 (0x282b2000)
	libcrypt.so.3 => /lib/libcrypt.so.3 (0x282c8000)
	libz.so.3 => /lib/libz.so.3 (0x282e0000)
	libtiff.so.4 => /usr/local/lib/libtiff.so.4 (0x282f1000)
	libpng.so.5 => /usr/local/lib/libpng.so.5 (0x2833f000)
	libjpeg.so.9 => /usr/local/lib/libjpeg.so.9 (0x28361000)
	/lib/ld-linux.so.2 (0x28050000)
	libintl.so.6 => /usr/local/lib/libintl.so.6 (0x28380000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x28389000)
В сущности все библы есть, косяк только с прописанными в файле путями, но он их находит. Сначала писал что не нашёл, но после:

Код: Выделить всё

%locate lib*
/путь/lib*
%brand -f Linux lib*
Всё находит автоматом.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-07 10:31:13

Что именно эта прога не видит ? потрейси её (ktrace), если ничего не даст пробуй через gdb (если сам не сможешь дай сюда ман по программе), подскажу чего нажать, чтобы увидеть в чём проблема.
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-07 10:49:40

Samsung man'ами себя не утруждает.
ktrace нужда загруженная прога, но она не грузится.

Код: Выделить всё

%ktrace ./rastertosamsungspl
./rastertosamsungspl: symbol lookup error: /usr/local/lib/libiconv.so.3: undefined symbol: __mb_cur_max
%
gdb юзать пока не умею, но он на старте предупредил:

Код: Выделить всё

warning: A handler for the OS ABI GNU/Linux is not built into this configuration of GDB.
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение zingel » 2008-02-07 11:10:19

обнови gmake, и дай сюда вывод:

Код: Выделить всё

grep '__mb_cur_max' /usr/local/lib/compat/*
Z301171463546 - можно пожертвовать мне денег

de-signer
сержант
Сообщения: 220
Зарегистрирован: 2007-05-11 14:39:01
Откуда: Отсюда :)

Re: Нужен libcups.so.2 линуксовый

Непрочитанное сообщение de-signer » 2008-02-07 11:29:37

gmake обновил. Если он юзается при сборке libiconv может пересобрать?

Код: Выделить всё

$ grep '__mb_cur_max' /usr/local/lib/compat/*
Binary file /usr/local/lib/compat/libc.so.5 matches
Binary file /usr/local/lib/compat/libhistory.so.5 matches
Binary file /usr/local/lib/compat/libreadline.so.5 matches
Binary file /usr/local/lib/compat/libstdc++.so.4 matches
---
"Если я рассуждаю логично, то это значит только то, что я не сумашедший, но вовсе не доказывает, что я прав" (с)И.П.Павлов